declare namespace Rawter {
    /** */
    function setup(rawReference?: Raw): void;
    /**
     * Executes the specified routing function when the address bar changes
     * to display the route specified.
     */
    function onset(route: string, fn: RawterFn): Raw.Param;
    /**
     * Executes the specified routing function when the address bar changes
     * to display the route specified. This function also installs a click event handler
     * on the container, which activates the specified route when the attached
     * element is selected.
     */
    function on(pattern: string, fn: RawterFn): Raw.Param;
    /**
     * Force the browser window to render the routes for the specified path.
     * If the path argument is omitted, the current path in the address bar is
     * used.
     */
    function go(route?: string): void;
    /** */
    type RawterFn = (route: string) => any;
}
declare module "rawter" {
    const __export: {
        Rawter: typeof Rawter;
    };
    export = __export;
}
//# sourceMappingURL=rawter.d.ts.map